HostingEmail signatures
Update email signature
PUT
/api/signatures/{code}Updates the signature configured for an email account identity.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
code*string
Email account code: usually EA followed by 8 digits. Postmaster accounts use P followed by 9 digits. Examples: EA12345678, P123456789.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
body*string
Signature HTML/body content.
title?string
Signature title.
default_signature?boolean
Set this signature as default for the identity.
sender_in_bcc?boolean
Send the sender in BCC.
only_new_messages?boolean
Apply the signature only to new messages.
identity?string
Email identity. Defaults to the email account address.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/signatures/string" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "body": "string" }'Empty
{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}